Subject: bug#8165: closed (Re: bug#8165: cperl-mode: The wanted indentation is available via customize)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Sep 2020 17:13:02 +0000

Your bug report

#8165: 24.0.50; cperl indentation

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8165: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8165
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8165: cperl-mode: The wanted indentation is available via customize
From: Stefan Kangas <[email-masked]>
To: Harald Jörg <[email-masked]>, [email-masked]
Date: Tue, 1 Sep 2020 10:12:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Harald Jörg <[email-masked]> writes:

> Therefore I suggest to close this bug.

Done.

You can just add -done to the bug number in the address if you would
like to do it yourself next time.  See the To-field of this message.

> These are also the recommended settings in the most influential book
> Perl Best Practices (PBP) by Damian Conway.  I guess I should add
> the PBP settings for indentation in a new value to cperl-style-alist,
> but that's probably beyond the scope of this bug report.

It sounds like a good idea to add such an option.

Just a thought: I seem to remember that the PBP recommendations is the
generally accepted style in the Perl community these days?  Does it make
sense to change that to be the default?  (It's been over 10 years since
I did any serious Perl programming...)

Best regards,
Stefan Kangas

Subject: 24.0.50; cperl indentation
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Thu, 03 Mar 2011 11:37:10 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

cperl-mode mis-indents _data_ (as opposed to _code_).
e.g.,

use Class::Struct Foo => [
    a => '$',
    b => '$',
    c => '$',
];

is indented as

use Class::Struct Foo => [
                          a => '$',
                          b => '$',
                          c => '$',
                         ];

which is much less readable.
the same goes for

my $foo = [
    "a",
    "b",
    ("c","d"),
];

I understand that this might be a matter of taste, but it would be nice
if my preferred indentation were also available.

PS. I am aware (and not fond) of the alternative

my $foo =
  [ .... ];

-- 
Sam Steingold (http://sds.podval.org/) on CentOS release 5.3 (Final) X
http://mideasttruth.com http://iris.org.il
http://ffii.org http://memri.org http://pmw.org.il http://www.memritv.org
The paperless office will become a reality soon after the paperless toilet.